package org.dromara.settlement.api.domain;

import java.io.Serializable;
import java.util.Date;

public class AccountLog implements Serializable{
    /**
	 *
	 */
	private static final long serialVersionUID = -2239121995008551353L;

	private Long id;

    private Long unitId;

    private Integer accId;

    private String bankType;

    private String bankCard;

    private Short trxdir;

    private Long trxamt;

    private Long balance;

    private Date addTime;

    private String addBy;

    private String narinn;

    private String refundTrxnbr;

    private String refundDate;

    private String trxnbr;

    private String ccynbr;

    private Date tranTime;

    private String rpyacc;

    private String rpynam;

    private String trxtxt;

    private String mthflg;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUnitId() {
        return unitId;
    }

    public void setUnitId(Long unitId) {
        this.unitId = unitId;
    }

    public Integer getAccId() {
        return accId;
    }

    public void setAccId(Integer accId) {
        this.accId = accId;
    }

    public String getBankType() {
        return bankType;
    }

    public void setBankType(String bankType) {
        this.bankType = bankType;
    }

    public String getBankCard() {
        return bankCard;
    }

    public void setBankCard(String bankCard) {
        this.bankCard = bankCard;
    }

    public Short getTrxdir() {
        return trxdir;
    }

    public void setTrxdir(Short trxdir) {
        this.trxdir = trxdir;
    }

    public Long getTrxamt() {
        return trxamt;
    }

    public void setTrxamt(Long trxamt) {
        this.trxamt = trxamt;
    }

    public Long getBalance() {
        return balance;
    }

    public void setBalance(Long balance) {
        this.balance = balance;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getAddBy() {
        return addBy;
    }

    public void setAddBy(String addBy) {
        this.addBy = addBy;
    }

    public String getNarinn() {
        return narinn;
    }

    public void setNarinn(String narinn) {
        this.narinn = narinn;
    }

    public String getTrxnbr() {
        return trxnbr;
    }

    public void setTrxnbr(String trxnbr) {
        this.trxnbr = trxnbr;
    }

    public String getCcynbr() {
        return ccynbr;
    }

    public void setCcynbr(String ccynbr) {
        this.ccynbr = ccynbr;
    }

    public Date getTranTime() {
        return tranTime;
    }

    public void setTranTime(Date tranTime) {
        this.tranTime = tranTime;
    }

    public String getRpyacc() {
        return rpyacc;
    }

    public void setRpyacc(String rpyacc) {
        this.rpyacc = rpyacc;
    }

    public String getRpynam() {
        return rpynam;
    }

    public void setRpynam(String rpynam) {
        this.rpynam = rpynam;
    }

    public String getTrxtxt() {
        return trxtxt;
    }

    public void setTrxtxt(String trxtxt) {
        this.trxtxt = trxtxt;
    }

    public String getMthflg() {
        return mthflg;
    }

    public void setMthflg(String mthflg) {
        this.mthflg = mthflg;
    }

	public String getRefundTrxnbr() {
		return refundTrxnbr;
	}

	public void setRefundTrxnbr(String refundTrxnbr) {
		this.refundTrxnbr = refundTrxnbr;
	}

	public String getRefundDate() {
		return refundDate;
	}

	public void setRefundDate(String refundDate) {
		this.refundDate = refundDate;
	}
}
